<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('data_pribadi_kpmds', function (Blueprint $table) {
            $table->id();
            $table->string('nip')->unique();
            $table->string('nama_lengkap')->notnullable();
            $table->string('pangkat')->notnullable();
            $table->string('jabatan')->notnullable();
            $table->string('instansi')->notnullable();
            $table->string('kabupaten')->notnullable();
            $table->string('phone_number')->notnullable();
            $table->string('pesan')->notnullable();
            $table->string('alamat')->notnullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('data_pribadi_kpmds');
    }
};